Clean up requirements now that we don't deploy on bm-l10n-dashboard

RESOLVED FIXED

Status

Webtools
Elmo
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: Pike, Assigned: Pike)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Assignee)

Description

2 years ago
We had a few fancy rules to deploy on the old elmo VM.

Now that we're on recent linuxes, let's clean things up.

Also, as we're in a virtualenv now, let's use less (or just get rid of it) of vendor-local.

I'm updating requirement as I go, noteworthy:

Our ES cluster is running ES 1.3.2, so I'm using elasticsearch-py < 2.0.

Comment 1

2 years ago
Commits pushed to develop at https://github.com/mozilla/elmo

https://github.com/mozilla/elmo/commit/b13c076d20d9651a4ff8c9768a8165d7294f881d
bug 1288405, update elasticsearch-py, urllib3, in env

Remove the old versions of elasticsearch and urllib3 in
vendor-local, add current ones in requirements/env.txt.

Also removing the entry for South, which is already gone.

https://github.com/mozilla/elmo/commit/17cf08dbb917aeefb750651f5cb2411e402c1dd3
bug 1288405, move feedparser to env, upgrade from 5.1 to 5.2.1

https://github.com/mozilla/elmo/commit/37d3b270acb45c3a1e89b8fb3fdc73f5357cb4b6
bug 1288405, update python-memcached, used by django cache backend

The requirements for the django tests refer to
https://github.com/linsomniac/python-memcached/issues/79
which binds us to 1.53.

https://github.com/mozilla/elmo/commit/8306c34bab766272b3112f3f6d46783a82aef270
bug 1288405, remove pytz dependency and vendor-local blob.

In bug 785968 we moved to UTC, and stopped using pytz.
Never dropped the import and the bundled copy, though.

https://github.com/mozilla/elmo/commit/fc50c127dd80ecf5240685070d8c8e77d230b23e
bug 1288405, update raven for sentry integration

https://github.com/mozilla/elmo/commit/a53caaba58167af16179c4c9a425f9e41d3b803b
bug 1288405, now that vendor-local/lib is empyt, drop the tracking requirements file

https://github.com/mozilla/elmo/commit/5508a51d46f4ce39f7a44dda787c483ad7ba2e06
bug 1288405, fold requirements files into env and dev

https://github.com/mozilla/elmo/commit/53bbc5af70bf9acf4a609a389f1690782936feac
bug 1288405, drop backwards compat install method, only virtualenv now.
(Assignee)

Comment 2

2 years ago
710 changed files with 35 additions and 12,008 deletions.

Marking FIXED.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.